# Uses of Record Class
org.springframework.http.ETag

Packages that use ETag
Package
Description
org.springframework.http
Contains a basic abstraction over client/server-side HTTP.

## Uses of ETag in org.springframework.http

Methods in org.springframework.http that return ETag
Modifier and Type
Method
Description
`static ETag`
ETag.`create(String rawValue)`
Create an `ETag` instance from a String representation.
Methods in org.springframework.http that return types with arguments of type ETag
Modifier and Type
Method
Description
`static List<ETag>`
ETag.`parse(String source)`
Parse entity tags from an "If-Match" or "If-None-Match" header.
Methods in org.springframework.http with parameters of type ETag
Modifier and Type
Method
Description
`boolean`
ETag.`compare(ETag other, boolean strong)`
Perform a strong or weak comparison to another `ETag`.